****************************************************************************
* (C) Copyright 2011 Texas Instruments Incorporated. All rights reserved.                                            
*****************************************************************************
** This model is designed as an aid for customers of Texas Instruments.                                             
** TI and its licensors and suppliers make no warranties, either expressed                                           
** or implied, with respect to this model, including the warranties of                                                    
** merchantability or fitness for a particular purpose. The model is                                                      
** provided solely on an "as is" basis. The entire risk as to its quality                                                    
** and performance is with the customer                                                                                          
*****************************************************************************
*
* Released by: Analog eLab(TM) Design Center, Texas Instruments Inc.
* Part: TPS22985
* Date: FEB 3 2012
* Model Type: Transient 
* Simulator: HSPICE 
* Simulator Version: ....
* EVM Order Number:  ....
* EVM Users Guide:  .....
* Datasheet: 071711 Rev.1.6
* Model Version: Final 1.00
*
*****************************************************************************
.PARAM u=1


.TRAN 1e-9 75e-3 START=0.0



.PROBE TRAN
+    V(outa)
+    V(outb)

.OP

.TEMP 25

.OPTION
+ CONVERGE=1
+ ACCT  
+ OPTS
+ POST 
+ SCALE=1e-6
+ METHOD=GEAR

*+    ARTIST=2
*+    INGOLD=2
*+    MEASOUT=1
*+    PARHIER=LOCAL
*+    PSF=2
*+    SCALE=1e-6
**** important note: The following file needs to be palced in the
**** same folder with hspice file model.

.hdl "Pancho_TIVA.va"


.PROT freelib
5a2Z[7-u#/js;B-i:'%ep$v,C'/25B]+):fJ5H#uC(1y)e-u>9%J;X5i#'%s$B-,(2/e5BvwC'f:9H]uC:xJ5ejH>(%J)[
8
<59I7x8[589[;>06w'y=ud6KVO*Iul
F,w%*IL$#[99PxiG#G*0c6F.-%V%4z
[n79#9DxZG\<]:B>>t\[2!kz
-/R0/.XxiG#G*0c6F.-%V%4xa o/V996Fd7'o%9.mj-#59B2'+[
<+:YeA$x#Y%\026M%:L']280s+mIX:$#<2>IX:$X#+:/x:$=8
))9[(jX;4:=2'p=]w6k-u$m$2[9[(jX3,:[z
FG#d+:=2')<#57Fx3t9<2j9;7.=9wz=p2G#du:X$Ld_3)*(x'6/%(3*\e$%'(3*\e$%:(3*\e$8<= F6*0Xj)*uz
Fh#9i:=12:0z) _x>h63y:N[ $4\y9y7(:7STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
;$X3'/#d+%XhPx<3y
\12A#dw(9paYX8
yp9;7.=9w(9paY=#$%912p[
+)+%0261\/aMD3'60=0K,0
Nf#)+%Xd 7Z![K83[rc2:%2\H#c2!M[-L
[
,<:r8/:1'::==OT:#$;50>.\T;9r00
Nf#/9ri281k)N9$;8SHvqxeGX,T/.6
9[$+c)i9[;>06W<K;(>1s#%6
BU\-g\ 9$;8SHvqxeGX,T/.97f[7sOa96(/0s>:=.O.\T;99>3.\T;99.MJ1#)+-Z
(p7\) /%s$X#y%\026m%:l']280S+W(x:$#<2(:f2p7JW(912p73Q
92XzT%Jj#912<S9K:M4'g7JW36
e79x# 9x1S;7sOa9[(Jx-I:b$O.9X# K;2<%H(P/1(=j#50=ahPx<6)96d dqp(/2Y$%D)F5o*P7s5!b2*70.,:x_;3,qp9!F2H#c265i*P[
4 '=Pj$#<2(2H2:0Z) _X(8-#/;CmdV0#*!9gzV7\$+%u2J.%*-[1(==-W ];ly=J)*[%2J8qp(*\h57s[-[1(==-W;*i'D8q4(/25s[
4 '=Ph$#<2('u2:0Z) _XA:6kvo*X>H72 o9[;8Y-W ]i>y=J)*[%2J.H=-[1(==-W YahP0.pc97\y=J)*[%2:0%2aYa+Px<6m6
ed:x# (9[(Jx;p:=2'Pb;W+*7:5<#*!9gzV7T5m97I3/qp(*\h57starahP0.pc973y=J)*[%2Jdqp(*\h57')Fx;3y<J+9!u0
'#T5(9[(Jx;p:=.O.\T;99>3.\T;99;7$O\;:=.357stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
75[ 77\) //E$%4/:Y2UT%BW9=32D4#d+%X;8Y;W ]i>y=<6#97ID,qp9!F2J8qp9!F2Jdqp9!F2:0%2aYa+Px<6m6
e;8YJW+*7:5<#59b2'$0\f:K6G>MD):f82a#DW'=P)$%*=a) (=E#22fi*70.,:x6*70.,:x_*70.,:Y2lJ/'(P/1(=j8
o!=-J$8<k9Xx3t9<2j9;7$o\;:w[Pt8S);97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
<<#*!912VSqp:5>2P7JQ
6/X!8Y#+:%>*P[
'+:=2'5h#d+%XhPx<3y
e2Zv9#T'=>>W6SoQ-ID[g8
<592Zv7t[:B4/[4'/rw72v0:#+w77W#+q
y
a923405'yO281K)n9=3G9hsUmp(398
<59>(3,# 'o2.$.[ %F.g>md)Y
a92<4<m:==ot:#k%F2oG%C/Y
e0mxsW2:]=Z[/tsUmp($s:DQm22[8/90%22A#dwAwxZ.\t;99.($+d;3c4Zv0%$8*p0
'43+m9[(J=3W+*7hP7\) [J2[d2S0*XzT%JIw9;7$9*9q%_\.8ZW6f8*s!;W6r.*P792aY2UD_R+(*\)$%D)F5o*7xJ)*[%2J8cK9) :P0.pc97\g,%(3/1(==-W!=8'<1%((6
-S$#<2(:*2P7D/-UB)$.X=:/X:$=<6)9127!J+3*\Y$j+3:xP*P[
4#(9- V=/!+%2lg2<;:=2'P<]WaWX!8Y# 9x Y$ST929->e9s((97'y=J)*[%0
'4Vh:K_!.M<W+*7)(7H#:n[ $03W%MmI$+H:<xa:$%s(3/257b8
o![1s$s:DQm2280SiM9;7$o\;:J 2[mKT:\;#/%Q+:X7*7X<63'z
PS7\) /ve$o\;:%>*7[
9+:=2's=#d+%X [_3Q
6[XzT%;3:n[ $Yg(3E%0
:>#*!9>\a6T):[1(9[
',:f8280s3w9/:P0;Q
;[1280s3w9[(Jj3W>/1(s[
'p39[(Jh;W+*7)s7V+(*u0
:=-WaWXzT%V3::1:Tj8
o!=-:$m<w+*7:;=#*!9GZv7C 6*6't8#22R;*70.,:X$>3_3)*(x':_3)*(x' _3)*(x3t,S*;)v:p0.3Y
38Z<=#/;cMDv0# 9X H$/Cwz=p2h#9);X23$%*=A) (=e#22FI*70.,:X6*70.,:X_*70.,:y2Lj/'(p/1(=J8
o!=-J$#/90%22[8/90%22d4#D+%x78+<5 *62j.%*-[25;7STARAHt3]w yAHt3]w JAHt3]w;*I'd8Q4(/25S[
4#+\*280s+e$XzT%Rj:f82a#DW!=-(:%<5:x$lD_3)*(X'6/%(3*\E$%'(3*\E$%:(3*\E$8<= f6*0xJ)*UZ
F81\;39[(jX]P:k_!.m<w%JGgW0#*!9GZv7\$+%%2j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4$+% h$#<2P$X\77:p:f82a#DW+5[ 57stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
7==zVx# 9x1hP=#[392h$/cWZ=P281\;c97I3/qp(*\h57starahP0.pc973y=J)*[%2Jdqp(*\h57')Fx;3y<J+9!u0
'M'U:=2'P=Jl:j 2T=#*!9gzV7\v;'X'6,H(3/257b#22fi*7x<63'X':_3+9! j$%:(3/257b#59r7>:_R+(*\)L
!< OBxiG#G*0cMDv08
<592Zv7t[:B4/[4'/rw72v0:#+w77W#+q
y
a923405'yO281K)n9=3G9hsUmp(398
<59>(3,# 'o2.$.[ %F.g:0S5!NG(:6t! -z
[n79#9DxZG\<]:B>>t\[2!kz
-/R0/.XxiG#G*0c6(j8CDz*6gWRSF:*[/$y[2'97D.9xs007/l
)[ O2xZt%/+>:xZt%j,392Zx7h#:/xD:B#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
38s(7\) //:$#<2(s%2G-zsO*I;E7d)f)%+p0.HY
38s*7\) /Uy$#<2($h2G-zsO*I;E7d)f)%+p0.HY
\/280S+Eux:$yG(MeU26u%w(91270.H:/xHzXjP9!j2S!;w %A:l
)[ O:xZ77< [92Zx6CkQR.4$/Cw(9=ZvB#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
3=Zv<# C92Zx6CkQR.4$0\Fj9;7$X#$+%%2j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4$+%%2 6<;Z*D(8-#)+-k280s+m2X>H7JW'=Pj$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o'=p:$D/)ON2gv1S$:=2'pH;w+*7:)X#*!912G#du:X$Ld_3+9! J$%**f) :t33u:X6*7X<63'x' _3+9! J$8<= F6*0Xj)*uz
FG#d3:c[(jX# C9_gty2)Q%='G7h#:/x;8y-w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e78+5W+*7:(>#)+-k2D4#+:W[pT8s);97I3/qp9!F2J.H=-[25;7s5-[25;7s[-[25;7')Fx;3y<J+9!u0
'4\Yc92zXn#)+-X>H7JW!=-(:%<5:x$lD_3)*(X'6/%(3*\E$%'(3*\E$%:(3*\E$8<= f6*0xJ)*UZ
Fh#93:=2'pH;wO57;$/Cw(98Z<0'29yx'6,h(3*\e$%**f) (=e#2;) (=e#2t) (=e#59R7>:_r+(*\)l
)C 6ixZt%jLC9[(jXv3:F82p7C 6*6't8#22R;*70.,:X$>3_3)*(x':_3)*(x' _3)*(x3t,S*;)v:p0.3Y
38)*7SVQBCgWRSF:=2'p$UwQ=2'p7h#:*[/+7\) /h)$9*9Q%_\.8zw6F8*S!;w6R.*p792Ay2ud_r+(*\)$%d)f5O*7X<63'x':4z)-[1(==-w J=L3_3+9! J$4\# \=LYX8
o!'%2t#0s!BdLWu# 9XUe$D/)ON2gt#0wAwx>h7h#:B$o.y:[Qy02</C(MeU2<,t((9-'d8<kA)v:p0.3:Xp(31p(3/257B#2;w0(Y=j)*[%2jD[=f) :t33u:w[7j+[=-/z
P07h#:/x [_;XM9=a$X#+Y
e2Zv9#T'=>>W6') y8!A0's007/l
F,w9=p2WD#kr->7:s$# 9p( 4\# w.Zz[
8
<59I7x8[589[;>06w'y=ud6KVO*Iul
F,w%*IL$#[99Pxa:6KVO*d3t+3q
5AXpH0XW+5m(i7Z/a*m;J4gQ
Hb4/[GsW%YDOwY<S;*-h$0\f:M4'.M#vRxD7$8<K9xk2wrsfy
38)p7t! c.280S+C[xD\%/#:F8280S+M'x>h7zTUcp\ 6'k:\;7YJ+3:\IDYX#y F6(//Q4(/25S7S;9R=#Y=j+9! J$%'#<*AHpX<63'x' 1%=-[1:t33u:w[7j+[=-/z
FhB]w+[xZt%juM9.mj6CwAwx(8-bwAwxu6\/;tJd3/79*!)U-S79=0)12<%h59B;*0Xj)*ux'v0%$8) :p0.PC973h9<(3/1(==-w J=L3_3+(*\H57C !X-;3_jq
7WuY$#<2([/2T#0>:W[p.Y<='<XpD4q3HUXp3Mq+:\7>:0Z*-I1:T3;W ]i>y=<6m97ID,qp9!u2J8qU9!u2JdqU9!u0
'1\;c9[(JxV3:*[/+7\) / S$/cW(9=zVb#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
3=ZvX#59B2'+7\P:m4'x7h#:/x;8y-w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e78+-W9=3x$0\f:f82P7c 6*6'T8#22r;*70.,:x$>3_3)*(X':_3)*(X' _3)*(X3T,s*;)V:P0.3y
38Z<X# 9X1)57\) //)$/Cw(98Z<0'29yx'6,h(3*\e$%**f) (=e#2;) (=e#2t) (=e#59R7>:_r+(*\)l
+vwAwx:$yG(MeU2Gs#+:/z
-t#dk:k6g>md)Qy2P7[
,<:*[ $M:W<03AH8g!!xX Tdc !x8d8!8
q
5AXlH-'$;<Xzg\<]:56;///90%2l/[
,<:K2l37\$u*q261\/aMDUJ1s)qO=AD4\)>6
9[$+c)i9[;>06W<K;(>1s#%6
BU\-g\ 9$;8SHvqb7;J0/9'K;780VW007/$M$2'97fD7')<*7x$84*:*[/$S:dqM22J)gW007/672 o9.MJ1*W;3>2:0Z) _D HO#Yo% G\#D)F5o(V79;o'Z
Fh=j,:m22:)hw;3>2WRS$296(/0S>:]=Z[/ts;3d/3mG\Y
38Hpi#27kx''/#59B2'+7\sUmp($s'sUmp($m$2']xDt7*$+k;D.%4s[R.aM[
4#3/V2[d2S0*XA:6kvo*X!8Y#*!9[G>MD):M22<YDpq0[ T,[:9%XIg#g*0CmdV08
o0y1280S+W:x(8-#yO%%2d4#D+%xFW8-w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
ed:=# 9x1t57< [9.MJ-#*!9gzV74v;'X'6,H(3/257b#22fi*7x<63'X':_3+9! j$%:(3/257b#59r7>:_R+(*\)L
)[ O$xZt%jJW96J$83wAwx!8y#V;'x'6,h(3/257B#22FI*7X<63'x':_3+9! J$%:(3/257B#59R7>:_r+(*\)l
)[ O2x357\) / H07\sUmp($0\F:F82A#dw'=p)$%*=A) :t33u:X$>3_3+9! J$%'(3/257B#2t) :t33u:y2Lj/'(p/1(=J8
o'=ps$#<2(sh2[8/90%22A.dwz[x>h72 O9=ZvJ#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
3=ZvX#539>3.\t;996:$o//0=73W,#*!9GZv7[ Oux'6,h(3/257B#22FI*7X<63'x':_3+9! J$%:(3/257B#59R7>:_r+(*\)l
)C,39[(jX3u39[(jX3+E9Giv=#*!9Giv=#D390i>6d[tc6u$+h#-ub)$+%V-/xPj/')<FA+pX<6M97 t,[:-[1:t33u:X67/0QP(/257B#2t5ILY=j+9! J$4\# \=LYX8
o!sj280S+3[v280S+WsxZt%jP>[x>h7')<*7X.yCD:F82/.KsOJ_g:9#yAwA)zJ#yfmA:$+S*;*0>Y<j+9!U2jy<='<AHpX<63'x':4z)-[1:t33u:X_;3,QP(/257B##+w7PG,Q+Y
38s$#<2W'x>h7C 6cp(31pw6F8*079=0)12<%h59B;*0Xj)*ux'6,h(3*\)$%**f) (=J#2;)%(=J#2t)%(=J8
o!ixZt%Ui:=2'(B##+\d t,[::\;7Y<#yfmA:$+S*;*0>Y<j+9!U2j.%*-[1(==-w ];LY=j)*[%2j8Qu(*\H57S[-'1(==-q
7W[p)7\) / :P72S%M[':M%WaWX!8Y##+\23J0'W ]i>y=<6#97ID,qp9!F2J8qp9!F2Jdqp9!F2:0%2aYa+Px<6m6
e78+5W9=3x$0\f:f82a#DW!=-(:%<5:x$lD_3)*(X'6/%(3*\E$%'(3*\E$%:(3*\E$8<= f6*0xJ)*UZ
Fh#94:N X$o3wAwx!8y##+\23j0'w ]I>Y=<6#97id,QP9!f2j8QP9!f2jDQP9!f2:0%2AyA+pX<6M6
e7s=# 9x1h;h#vRx32wrsf290I>6ZM!x>>$+s*-I1:T3;W;M[*5<J)*UX3wd:(3/1(97s;9r=#yx#2;W0(y=J+9! j$%:$FrahPx<63'X784sY'ra:L
)CJ)9[(jX3+(9[(jX3JW9[(jX3J390i>6zm!X>>$+S*-i1:t3;w;m[*7Xj)*2x3WD:(3/1(97S;9R=#YX#2;w0(Y=j+9! J$%:$fRAHpX<63'x784Sy'RA:l
)Cu#9[(jX3,#9.mj-#VrX3i$9*9QBC7jshw6X;*0Xj)*ux3W#Qup/25S7'VtJAHpX<H:Xp(31p((973h9<(3/1(==-w J=L3_3+(*\H57C !X-;3_jq
7W +$S'SuMP($M$2'9.MJ1*W<]mG/Uc2%fXpJ/q4(/25s7'v+)V2:M:[-[1:T$#2o*i;e_JW Y8UT_3+(*\h57s['ri*7xJ)*[%2H#c265i*P[
4#32Xz.\T;99.MJ1#vRx=I$9*9qbc7JSHW6x;*0xJ)*UX3w#q4:Y.\ _3+(*J2JY<='<a:$%'#<*ahPx<63'X' 1%=-[1:T33U:W[7J+[=-/Z
307jw+*7:7iUw3*\)l
+3+:F82p7d/-ub)l
)CL:*[/$84*:N 261\/Amd3t%'#zN23.m$2[6
e;8Y3U:=2'P=],:=DOwY<W+*7jPx#*!9gzV7[ o'X'6,H(3/257b#22fi*7x<63'X':_3+9! j$%:(3/257b#59r7>:_R+(*\)L
)[ O(xZt%ju('x!77\) /*s$/Cwz=p2G#du:X$Ld_3+9! J$%**f) :t33u:X6*7X<63'x' _3+9! J$8<= F6*0Xj)*uz
FG#dL:N$ 772TO9- vB#*!9GZv7[ O'x'6,h(3/257B#22FI*7X<63'x':_3+9! J$%:(3/257B#59R7>:_r+(*\)l
)[ O[12A6GV+X6D36')<*72A=# 9X1T57h#:N[ $1\;C97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
'1\;3UXzT%Jp#:X!.ST  Y.l$S'SuMP($/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#du:=2'5Xjw9=3280SPW$x>h72 O9=ZvB#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
38V;7< [9[(jX3LE9[(jX-+E9Giv7\) /%:*7G5Qo. t6')6[z
FhB;w9=3280SP)uxZt%ju>sx3p7\) /%s*7G5Qo. t6')6[z
Fh>Uw+*7:5XYw;*0(jN/;!Nx;x9/;9R=#$y<=-'1:t35q
7WF+$O//0=73w,# 9x1jPb#$[bD T,[::%2lybJ+9!J0
'4R4:=2'P=Vp:Y2UT%BSoWg2g-ZSo*i;e7D)F)/(=j8
o!if280S+C:h2A6GV+X6D36')<*72G-zsO*I;E7d)f)%(=J8
o!:1280SPW$x(8-#$[Bd t,[::%2LYB<6M6
mj$x# 9x1t(7')<*7x$/cW2O.Ue7%(P/1(=j#M-[1:L
!< OBxiG#G*0c0'G%<sU5>>h#<iY
a92t#dw0Jxu\-G#;k47j7d)tw[7j4t h6
Z
[n7%#[y=3E7\$U*Q2G8[kAcMDv0%kY
a92[0%=:==ot:##QX.g<[
,<:\8(,7\$u*q2/SH)u577[[
+KR->]J7cS MDp$4/#+9-d\%##qM4'$O\;y
\;P$4/#+98gWRSwOkA:l
/3w6m4'$o\;:k>P/79*69 2L
!< OBx7.%ts66
9[$0\;:M_2/r0/!Y>MH%#;9j8zH%cv+EZ
0
Nf#=!-6;:2# 'O2.$1'$<fDOwY<=<6
9[$S<=F9[;>06W<0$I32/K9r2AJ4T qb.\J9s$;xo0
Nf#Y!*c281k)N90AD0k$ W>0
Z9$f%472/r*tF<DUT,</ W.z.9T[ b7;:%PW6%Ph$/9=094p3M#d+%XpVY-W007;$M$2[96(/0s>q%8!L
)[ O[xPvy-s0=xPG,C;Q\p 579;O[dD D#yO%%g ,t$ _x>h72 O9=ZvJ#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
38y$#<23uj2<ydPQX.Dd42*:m-(:6'$+N2J$R\;9yd3G#2)C9;7$o\;:5[ S7STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
75[ 079$FWPG<YDU:=2's>JW+*7hs$#*!9gzV7[ o'X'6,H(3/257b#22fi*7x<63'X':_3+9! j$%:(3/257b#59r7>:_R+(*\)L
)[ O'xPvy3s0=xPG,C;Q\p 779;O[d\3m[2j9;7$o\;:5[ 57STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
75[ P79$FWPG<YDp29.pT8/5'=g($r\;9YD3g#2):f82a#DW'=Pj$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o![j28<#yQw>m:7\H:N[ $4/20c-0
'4;U:bV280sU3SXU972 o98GJM/Yy
38J;7Ki:\d7[R'u:ov2A#dw!c7D.+8
o!u 2x<# 9X%)*70H:N[ $4/20c-0
Vj#Km9[(Jb-I:%8dV[
DU:-u2Xb#;!MP0
Vh# m9[(JbJI:%8dV[
D4:O%280sp#'X HMDQ
9[/280s+c[ 2a#DW6K-U$+D;39gzV73Q
9'XOs72 o9-A<9#9c9gzV73Q
9[V280sU>:X!8Y#Y%\02<YDp:n[ $=8
)W9[(jBv+:N[ $+Gy<9[(jB;L:N[ $=8
)E93J$o\;:\>P/70P:=2'5Hjwp*U0
TE#f>9gzV79/6bX/s72 o9 0
T=JW<:X!8Y#Y%\02/j#d+%XhL
03P:=2'5Bvwz=p2<s9k:B 2/B#49uz
(7B#kC9GZv79/6BxZt%-PE9GZv73q
9[J280s+c/F2a#DW6K-U$+D;c9gzV73Q
9[*280sU3'X!8Y#Y%\02<YDU:n[ $=8
))9[(jBjL:N[ $+Gy<9-ghs$5:N[ $=8
)p9[(jBji:N[ $+Gy<9[H$#<2C/h200;q
9[Xz)72 o9-A<9# m9gzV73Q
9:XzT%3,)9gzV79/6bXp.4g!;'X!8Y#py
*1280SP#'x!8y#y%\02>=# 9X e97r)M6
gj$O\;:bu2<SgK:\P 572 o9 (=j#9-[Z
!p72 O9[)$+G/<9- v=#D+%xHt3;wU) 0
a0;WZ=P2>b#Y%K02<YDU:n[ $=<6m9m*7[
2p:n[ $-;W6K>U$+D;39gzV73)*UXOy=8
o!s*280S+Cs*280S+M/%280S+Ms/2/.Ks<D8'[/#y FA+pX<6M96D8_3+(*\y$8t[t) :p05w %2LG2Q+:X67/0QP9!f2jD[=f) (=e##+w7PG,Q+Y
38y07\) :Uy$#<2M212WRS$:B$o.9x# k;2<%h(p/1(=J#50=AHpX<6)96D DQP(/2y$%d)f5O*p7S5!B2*70.,:X_;3,QP9!f2h#C265I*p[
4#eIXzT%JUeIXzT%;h(9[(Jx;U390I>6ZM!x>>$+s*-I1:T3;W;M[*7xJ)*2X3wd:(3/1(97s;9r=#yx#2;W0(y=<6#97\g,%(3*\E$4\# \=lyx8
o!sj2<yduQm[280Su32xZt%ju((xu6\/kIw7ad792A)v:p0.3:y.ZY=j+9!j2:m:[-[1:t$#2O*I;E_jw y8ut_3)*(x' 1%=-[25;7C !X-;3_jq
7WJv$+D;3C.z$#<2cSH280sU>:XU6\/KiW7AD792a)V:P0.3:Y.zy=J+9!J2:M:[-[1:T$#2o*i;e_JW Y8UT_3)*(X' 1%=-[25;7c !x-;3_JQ
7WHj$+D;cC.\ 7\) /uh972 o90I>6ZM!x>>$+s*-I1:T3;W;M[*7xJ)*2X3wd:(3/1(97s;9r=#yx#2;W0(y=<6#97\g,%(3*\E$4\# \=lyx8
o!sf280S+Msf280S3)'xZt%ju#$xu6\/kIw7ad792A)v:p0.3:y.ZY=j+9!j2:m:[-[1:t$#2O*I;E_jw y8ut_3)*(x' 1%=-[25;7C !X-;3_jq
7WuE$+D;cC.z$M$2[90Y$9*9qbc7JSHW6x;*0xJ)*UX3w#qp(/2597'vTjahPx<h:xP(31P((973H9<(3*\E$%:$FrahT3]W!=8'<1%((6
e7sI#Yo% Gw##vRx32X$#K2ODU,4s/a9-'D_R+(*\)$8T -[1:T35W;M_\y=J+92X'V0%$8)12J8cK9) (=E#2T5ily=<6#98zH%9$F)10
'4yl:=2'Pb]h:=2'P=R,:=2'PjJ,:b$O.9X# K;2<%H(P/1(=j#50=ahPx<6)96d dqp(/2Y$%D)F5o*P7s5!b2*70.,:x_;3,qp9!F2H#c265i*P[
4#eUXpVY-S0j_280s+mU 2a#DW<]mG/Uc2%fXpJ/q4(/25s7'v+) :P0.h:Y.\ _3+(*J2JY<='<a:$%'#<*ahT3]W j=l3_3)*(X784sY'ra:L
)C3E9- vB/V+9.mj1#9p90i>6zm!X>>$+S*-i1:t3;w;m[*7Xj)*2x3WD:(3/1(97S;9R=#YX#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o!2/2<yduQm[280S3(/xZt%-PC90i>6zm!X>>$+S*-i1:t3;w;m[*7Xj)*2x3WD:(3/1(97S;9R=#YX#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o!2f280SiC2xZt%jPp(xD\%0w<]Mg/uC2%FxPj/Q4(/25S7'V+) :p0.H:y.\ _3+(*j2jy<='<A:$%'#<*AHt3]w J=L3_3)*(x784Sy'RA:l
)CH(9- v=/V+9.mj1# )90i>6zm!X>>$+S*-i1:t3;w;m[*7Xj)*2x3WD:(3/1(97S;9R=#YX#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o!2U280SiM[xZt%;HC9.mj1#k2odu,4S/A9-'d_r+(*\)$8t -[1:t35w;m_\Y=j+92x'v0%$8)12j8Ck9) (=e#2t5ILY=<6#98Zh%9$f)10
'4yI:\P 76T :=2'5hyW+*7:5=3W<]mG/Uc2%fXpJ/q4(/25s7'v+) :P0.h:Y.\ _3+(*J2JY<='<a:$%'#<*ahT3]W j=l3_3)*(X784sY'ra:L
)CJ(9[(jH-P:=2'pJju:m4'x7zTUc04h%G*:\7>Y<j+9!U2:m\(3/1(=$#50J_*7Xj))97 t,[:-/x':4z)-[25;7S['RI*70.,:w[7j+[=-/z
7SJ# (9[H$yG(3/25S[
c3>9m:$\3WoKahP0.3y
w%V$9jw<[x [_r+(*\)l
4-+:-12x=#;%)v:p0.3Y
\/2d4#D+%x [_;XM6
-j$#<2m[H2a#DWoKa+P0.3y
\v2>X#D+%x [_;X)6
-)$-JWZ=P2VSq3H2Z
P97z+:N[ $yG(Mej0
<=# (9gzV7D/-UBYL
85w+*7:5eUwz=p2705q
;[*2/h#KP9 :P0.hy
y +$o\;:-U270;q
;'XzT%J3c[X!8Y#p92Z
37H#F39GZv73q
;' 28=#d+%XhL
8vwz=p28J#P9uz
3S7\i:=v27Xj)*2z
37$#F>93+$=j+9!j0
:bRW+*7j)># 9xuY57;+y
y1280S+Ms/2A#dw3*j0
:=#Yo% 2a#DW3/2YL
83+:N[ $\-w3*U0
:E#9m9mS$=J+9!J0
:=3W6%Pj$O\;:[1(9[
'pe9gzV7Z3:[2)L
8-H:=2'SXjw+*7)9X#3(6
6j57kp:n[ $=8
5C$xZt%-LE9[(jX34#9%:l
8rw+*7:SX]wz=p2705q
;[F2/=#d+%XhL
8-L:=2'5=5w+*7:SX-wC/z
Fh#9i:=2'pJY,:=2')J3wAwx!8y##+\23j0'w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e78+yW+*7:5E5W+*7S5$#*!9gzV7c 6*6'T8#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
38Z<i# 9X1J*i# 9X/J77h#:N[ $4\y9y7(:7STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
7W[p07\) /%v07\) :uY$/cWZ=P2H#9);x23$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o!=-y$#<2Ms12<1%#Oc- v=*wAwx!8y##+\23j0'w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e78+-W6%Pj.d%v'xk2<YDUqjidg%#*!9gzV7c 6*6'T8#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
38Z<J#yO%%gWD:w6%pJ.m\wAwx!8y##+\23j0'w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e78+JW6%Ph.M:[:\P 76T :f82a#DW!=-(:%<5:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
Fh#9P:\p 76:=057X$+d;3c_LW1SwAwx!8y##+\23j0'w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e75j# 9xuh*79;o'X>H72 o9- Vb/[FM='$ST929->e9s((97 yx#2 ) :T33Uy
38s$#<2M[h2<ydP:F82A#dw6%pH.D%V'XxaW\*w6FOuj_jw %A:$%S(3/257B8
o!ux><,tw6%pH$/Cwz=p2W+<5Qy=ZA0#/0o$2</pk )12jyQ+:X7*7X<63'z
Fh>#*6R.2<ydu:F82A#dw0\23.8[ z*%2[mKT:\;#/%Q+:Xp*p7S2-[1(==-q
7W%2<YDp:f-lw7H#:n[ $+D;3C7dw/cda9>d>.#Ya<0'yx#2o)12J%qp(*\h5[
4##9- Vb#!6r.2D4#d+%XM8Y<5qY=za0-W%MmI$+H:<xa:$%D((97'y=J)*[%0
'4RW6%Ph$r9=09;7$O\;:0[ T8/5'=g($ST929->e9s((97 yx#2 ) :T33Uy
3.3S7\) :%H$+d;Cc.Z$+d;Cc.Z.y<='<x>h72 O9ED:B#22R;*70.,:X$>3_3)*(x':_3)*(x' _3)*(x3t,S*;)v:p0.3Y
3.377\) :Uy$+d;Cc.Z$+d;Cc.Z.y<='<x>h72 O9ED:B#22R;*70.,:X$>3_3)*(x':_3)*(x' _3)*(x3t,S*;)v:p0.3Y
3.3p7\) :UH$+d;3c.Z$+d;3c.Z.y<='<x>h72 O9ED:B#22R;*70.,:X$>3_3)*(x':_3)*(x' _3)*(x3t,S*;)v:p0.3Y
3.357\) :%y$+d;3c.Z$+d;3c.Z.y<='<x>h72 O9ED:B#22R;*70.,:X$>3_3)*(x':_3)*(x' _3)*(x3t,S*;)v:p0.3Y
38T(79;O[dD86d)f5O2<ydPQm[2G-zsO*I;E7d)f)%:p0.HY
38V77\) :/:$+[=!%dPvy3T:53u.y<='<x t,Q3(/259[
4#w(XpVY-S0=D T,[::\P 56T :53U.Y<='<X T,qU(/259[
4#e/Xpg,c;q\P 77\) :/t$#<2>:12<1%#oC- V=*W65i7V69;o[$2D4#K2OD  d/5<9->H_;xm9-lw_JW6x;3T9H(P/1(=j#2o*i;e_3+(*\h57s5!b2*7xJ)*[%2Jd[=F) :P0.pc98zH%9$F)10
'M'S396(/0s>q%8!$+D;3C.z$+D;cC.z$/cWZ=P2w8-W ]i>y=<6#97ID,qp9!F2J8qp9!F2Jdqp9!F2:0%2aYa+Px<6m6
B(8YZW<0$I32/K9r2AJ4T qb.\J9s$;xo0
Nf#)+%Xd 7Z![K83[rc2:%2\H#c2!M[-L
[
,<:r8/:1'::==OT:#$;50>.\T;9r00
Nf#/9ri281k)N9$;8SHvqKDI\\*Q
5AXpH0XW+5m(i7Z/a*m;J4gQ
Hb4/[GsW25[ADM//q]4O679;o[XA6[
'+:=2'Pj3W%]XhTj8
;(9>i$#<2([U2v4t;Y
\U280S+3ux:$yG(#eU0
<b# 9x h$x#;%)10
<=JW+*7h(7JWoKa)L
+3w+*7:7X#+:%>*p[
9+:=2'7<#+:%>*7[
4#c9[(Jx;p:=2'5<# 9x +$#<23[XU\-#Y0j_UT%/$-/Xpwd:K9xD/yx8
o![xZt%-4:\p 77\) [*280S+3/xo\,Sw6m_\/0Ss')12<m:[<*7gx_jq
H*[ /7*$+K;d.S/tRO$0
Nf#)+%Xd 7Z![K83[rc2:%2\H#c2!M[-L
[
,<:r8/:1'::==OT:#$;50>.\T;9r00
Nf#/9ri281k)N97d66*$+K;d.+-Q
5AXpH0XW+5m(i7Z/a*m;J4gQ
Hb4/[GsW M$G61\/aMDp57< [9.MJ1#59b2'+7T! -X3'S#57fX''S#27fXA O/v99- Vb#d+%XpVY3W%]Z
FhBYw+*7:)i#)+-xZt%j,#9[(jX]J:o4Lj79VtJ0(j6[((9-D Dz) c3*p[
D+:=2'PhRW+*7:7x3WoW. L
)Cu>9.mj-#VrX=2j)hw;*0(jN#57FxZt%jip9>\A6t):XEa$m0wz=p2W1#57kxZt%ji39- v=#yO%%261\/Amduj1S)Qo=ad4\)>6
e75<# 9x1S)79*FMXM<,TWZ=P280s+mIXdg7Tf:=2'Ph3W<0$I32/K9r2AJ4T qb.\J9s$;xo0
:x#vRx=2P7-+9(Z
377t! -x:$Bj)#6
6j$#<2(:*280s+>IXhTj8
o!'%2<ydu:=2'pJrw6%pJ$9*9QBC7jshw6X;*0Xj)*ux3W#QP(/2597'VtJAHpX<H:Xp(31p(C*\)$%'#<*AHpX<63'x' 1%=-[1:t33u:w[7j+[=-/z
Fh=5w6%pH$#<2(:/2<ydP:B$o.9x# k;2<%h(p/1(=J#50=AHpX<6)96D DQP(/2y$%d)f5O*50.3:X67/0QP(/257B#2t5ILY=j+9! J$4\# \=LYX8
#>9- vB#+:%>*7X<6)6
8:$+D;3912VSqUP/259[
4#m9- V=#/29$;8SHvqKDI\\*Q
6IXzT%J,w912VSq+y
\U280S+3/ 2p7d/-ubyl
+3+:=2'pe]w(9paYB8
y394P3m#+:%>*5!rq
6(XpD,TW(9PAyj+hy
e2Zv9#20]diG#G*0c-Jl
F,w9=p2WD#kr->7:s$# 9p( 4\# w.Zz[
8
q
H0[I:MsQ
.UNPROT

*******************************************************TOP LEVEL TEST BENCH********************************************


** Library name: ARASH_Models
** Cell name: Test_PANCHO_CR
** View name: schematicf
xi44 enb outa resetz outb rxc rxh txc txh cfg_oe vdd2 gnd vdd1 cp TOP_PANCHO_V2
r10 outa resetz 10e3
r4 outa 0 1e3
r1 outb 0 1e3
r2 txh 0 10e3
v0 cfg_oe 0 DC=0
v_gnd gnd 0 DC=0
vdd_2 vdd2 gnd DC=3.3 PWL 0 0 4e-3 0 4.1e-3 2.9 68e-3 2.9 68.1e-3 0 TD=0
vdd_1 vdd1 gnd DC=3.3 PWL 0 0 4e-3 0 4.1e-3 3.3 14e-3 3.3 14.1e-3 3.3 24e-3 3.3 24.1e-3 3.3 34e-3 3.3 34.4e-3 7 74e-3 7 74.7e-3 0 TD=0
v_txc txc 0 DC=0 AC 0 0 PULSE 0 3 1e-3 10e-9 10e-9 500e-6 1e-3
v_enb enb gnd DC=3.3 AC 0 0 PULSE 0 3.3 44e-3 100e-6 100e-6 10e-3 70e-3
v9 rxh 0 DC=0 AC 0 0 PULSE 0 3 1e-3 10e-9 10e-9 500e-6 1e-3
c3 outa 0 4e-6
c2 txh 0 4e-9
c0 outb 0 4e-6

.MODEL Diod D  RS=1 IS=1P VJ=0.2
.MODEL PMOSY PMOS KP=15E-4

.END
